Bug 1506428 - Review Request: gnome-shell-extension-historymanager-prefix-search - Use PageUp and PageDown to search for previous GNOME Shell commands
Summary: Review Request: gnome-shell-extension-historymanager-prefix-search - Use Page...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-26 02:49 UTC by Andrew Toskin
Modified: 2018-02-13 17:52 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-13 17:37:37 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andrew Toskin 2017-10-26 02:49:03 UTC
Package name: gnome-shell-extension-sustmi-historymanager-prefix-search

Formerly a subpackage of gnome-shell-extension-sustmi

Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-historymanager-prefix-search/raw/master/gnome-shell-extension-historymanager-prefix-search.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-historymanager-prefix-search-10-1.fc28.src.rpm

Description: The GNOME Shell Run Command dialog (Alt-F2) and Looking Glass let you cycle through the history of previous commands with the arrow keys, but there's currently no built-in way to search or do autocompletion for commands. With HistoryManager Prefix Search, you can type the beginning of a command, and then hit the PageUp and PageDown keys to cycle through previous commands which match the prefix you typed.

Fedora Account System Username: terrycloth

Comment 1 Andrew Toskin 2017-10-26 02:51:59 UTC
Oops, the *new* package name will be gnome-shell-extension-historymanager-prefix-search (without "sustmi" in the middle).

Comment 2 Robert-André Mauchin 2017-10-26 17:06:50 UTC
  - Please edit the bug title to follow the pattern for RR:

Review Request: gnome-shell-extension-historymanager-prefix-search - Use PageUp and PageDown to search for previous GNOME Shell commands 

Otherwise you won't pe able to use fedrepo-req when the puckage is accepted.

Comment 3 Troy Curtis 2017-10-27 02:45:33 UTC
Since this package does not have any schemas, probably do not need the BuildRequires on glib for CentOS/RHEL 7.

According to my repoquery, nothing currently depends on 'gnome-shell-extension-sustmi-historymanager-prefix-search', so I don't think you need the Provides line for the old name.

Comment 4 Andrew Toskin 2017-10-27 03:27:40 UTC
Oh, yeah, that BuildRequires tag was leftover from when this was one of two subpackages; the other did have schemas, this one does not.

I guess I read the The "Upgrade Paths" Fedora wiki page too quickly. Anything depending on these recently added GNOME Shelle extensions seems pretty unlikely, so yeah, I guess the Provides tag was also unnecessary.

I've removed both the BuildRequires and Provides tags. Same URLs.

Comment 5 Robert-André Mauchin 2017-10-28 15:05:04 UTC
Hello again Andrew,

 - Please use a more meaningful name for your archive, with:

Source0: https://github.com/sustmi/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Package is fine otherwise, it is accepted.

Comment 6 Andrew Toskin 2017-11-01 19:47:07 UTC
> Please use a more meaningful name for your archive

Done.

Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-historymanager-prefix-search/raw/master/gnome-shell-extension-historymanager-prefix-search.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-historymanager-prefix-search-10-2.fc28.src.rpm

I'm not positive about this part of the process, but I've also opened an issue on RelEng's Pagure about splitting the packages.

https://pagure.io/releng/issue/7124

Comment 7 Andrew Toskin 2017-11-29 01:44:54 UTC
Is there anything else I need to do before the newly split package can be accepted...?

Comment 9 Andrew Toskin 2018-01-26 22:56:21 UTC
THANK YOU. That step was not mentioned in the wiki page about splitting packages, and it didn't occur to me to treat the newly split packages so much like creating whole new packages from scratch.

However, now I have a new problem: fedrepo-req reports "Error: The Bugzilla bug's review was approved over 60 days ago"

Comment 10 Andrew Toskin 2018-01-29 21:59:36 UTC
Rex, could you maybe mark this as approved again? Along with the other split package, in Bug #1506429?

Or do I have to start over with a new review request, even though the packages haven't changed since October?

Comment 11 Robert-André Mauchin 2018-01-29 22:05:04 UTC
Rex is probably very busy

Comment 12 Andrew Toskin 2018-01-30 02:52:03 UTC
Cool, thanks!

Comment 13 Gwyn Ciesla 2018-01-30 13:17:44 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gnome-shell-extension-historymanager-prefix-search

Comment 14 Fedora Update System 2018-02-05 03:29:17 UTC
gnome-shell-extension-historymanager-prefix-search-10-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b866dfc687

Comment 15 Fedora Update System 2018-02-05 03:30:58 UTC
gnome-shell-extension-historymanager-prefix-search-10-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a458392fef

Comment 16 Fedora Update System 2018-02-05 16:53:19 UTC
gnome-shell-extension-historymanager-prefix-search-10-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a458392fef

Comment 17 Fedora Update System 2018-02-05 17:08:13 UTC
gnome-shell-extension-historymanager-prefix-search-10-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b866dfc687

Comment 18 Fedora Update System 2018-02-13 17:37:37 UTC
gnome-shell-extension-historymanager-prefix-search-10-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-02-13 17:52:20 UTC
gnome-shell-extension-historymanager-prefix-search-10-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.